# spec file for NetworkManager-libreswan

Name:      NetworkManager-libreswan
Version:   1.2.4
Release:   8
Summary:   NetworkManager VPN plug-in for IPsec VPN
License:   GPLv2+
URL:       http://www.gnome.org/projects/NetworkManager

Source0:   https://download.gnome.org/sources/NetworkManager-libreswan/1.2/%{name}-%{version}.tar.xz

BuildRequires: gcc gtk3-devel libnl3-devel
BuildRequires: NetworkManager-libnm-devel >= 1:1.2.0
BuildRequires: libnma-devel >= 1.2.0
BuildRequires: libsecret-devel intltool gettext

Requires: NetworkManager >= 1:1.2.0
Requires: dbus /usr/sbin/ipsec

Provides: NetworkManager-openswan = %{version}-%{release}
Obsoletes: NetworkManager-openswan < %{version}-%{release}

%global _privatelibs libnm-libreswan-properties[.]so.*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$

%description
This package provides easy connections to IPsec VPNs using NetworkManager and Libreswan.

%package -n NetworkManager-libreswan-gnome
Summary: NetworkManager VPN plugin for libreswan with GNOME files

Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: shared-mime-info

Provides: NetworkManager-openswan-gnome = %{version}-%{release}
Obsoletes: NetworkManager-openswan-gnome < %{version}-%{release}

%description -n NetworkManager-libreswan-gnome
This package provides software for integrating VPN capabilities with
the libreswan server with NetworkManager (GNOME files).

%prep
%setup -q

%build
%configure --disable-static --without-libnm-glib --enable-more-warnings=yes --with-dist-version=%{version}-%{release}
%{make_build}

%install
%{make_install}
%delete_la

%find_lang %{name}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan.so
%{_libexecdir}/nm-libreswan-service
%{_libexecdir}/nm-libreswan-service-helper
%{_prefix}/lib/NetworkManager/VPN/nm-libreswan-service.name
%{_sysconfdir}/dbus-1/system.d/nm-libreswan-service.conf
%doc AUTHORS ChangeLog NEWS
%license COPYING

%files -n NetworkManager-libreswan-gnome
%{_libexecdir}/nm-libreswan-auth-dialog
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan-editor.so

%dir %{_datadir}/gnome-vpn-properties/libreswan
%{_datadir}/appdata/network-manager-libreswan.metainfo.xml
%{_datadir}/gnome-vpn-properties/libreswan/nm-libreswan-dialog.ui

%changelog
* Tue Nov 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.2.4.8
- refactor NetworkManager-libreswan.spec
